<nav class="navbar">
  <span class="navbar-brand mb-0 h1">Linhas de ônibus e lotações</span>
  <div class="form-inline my-2 my-lg-0">
    <input
      class="form-control mr-sm-2"
      type="search"
      placeholder="Search"
      aria-label="Search"
      [formControl]="filter"
    />
    <button class="btn btn-outline-success my-2 my-sm-0" type="submit">
      Search
    </button>
  </div>
</nav>

<div class="content">
  <table *ngIf="!loading; else loadingTpl" class="table table-hover">
    <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Nome</th>
      </tr>
    </thead>
    <tbody>
      <tr
        *ngFor="let item of items$ | async"
        (click)="showItinerary(item, itineraryTpl)"
      >
        <th scope="row">{{ item.codigo }}</th>
        <td>{{ item.nome }}</td>
      </tr>
    </tbody>
  </table>
</div>

<ng-template #loadingTpl>
  <div class="loader">Carregando...</div>
</ng-template>

<ng-template #itineraryTpl let-modal>
  <div class="modal-header">
    <h4 class="modal-title">Itinerário da unidade de transporte</h4>
    <button
      type="button"
      class="close"
      aria-label="Close"
      (click)="modal.dismiss('Cross click')"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <p>{{ modalData.bus.codigo }} - {{ modalData.bus.nome }}</p>
    <table
      *ngIf="!modalData.loading; else loadingTpl"
      class="table table-hover"
    >
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Latitude</th>
          <th scope="col">Longitude</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of modalData.itineraries; let i = index" (click)="openCoordinate(item)">
          <td>{{ i }}</td>
          <td>{{ item.lat }}</td>
          <td>{{ item.lng }}</td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="modal-footer">
    <button
      type="button"
      class="btn btn-light"
      (click)="modal.close('Close click')"
    >
      Close
    </button>
  </div>
</ng-template>
